Subject: Re: [Gen-art] LC review: draft-ietf-ccamp-isis-interas-te-extension-02.txt

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 21 Sep 2008 14:25:20 -0400

The changes made through revision -04 address all the minor comments I 
had made previously.  Thank you.
The document is still read for publication as a Proposed Standard.

Joel M. Halpern

Joel M. Halpern wrote:
> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html ).
> 
> Please resolve these comments along with any other Last Call comments
> you may receive.
> 
> Document: draft-ietf-ccamp-isis-interas-te-extension-02.txt
>     ISIS Extensions in Support of Inter-AS Multiprotocol Label
>         Switching (MPLS) and Generalized MPLS (GMPLS)
>         Traffic Engineering
> Reviewer: Joel M. Halpern
> Review Date: 7-July-2008
> IETF LC End Date: 14-July-2008
> IESG Telechat date: N / A
> 
> Summary:  This document appears ready for publication as a Proposed
> Standard.  When other document editing is being done, the minor comments
> below should be considered.
> 
> Minor Comments:
> 1)  (comment on abstract based on problem found when reading OSPF 
> document.)
> The last sentence of the Abstract is somewhat confusing.  Would it be 
> accurate to replace
>     "No support for flooding TE information from outside the AS is
> proposed or defined in this document."
> with
>     "No support for flooding information from within one AS to another
> AS is proposed or defined in this document."
>     The reason I ask is that what the document is about is flooding
> information about inter-AS links.  Such links are actually outside of
> the AS, and so the current phrasing is slightly confusing.
>     As a less informative, but still meaningful last sentence if the
> above does not work, would adding the following before the existing
> sentence work for you?:
>     "All information described in this document is originated by the
> site AS Border Router (ASBR)."
> 
> 2) It is probably the correct decision to carry the AS number of
> neighbors in this mechanism, rather than relying on other protocols
> which may or may not have such information.  I would suggest adding a
> note to the introductory material in section 3 making this point.  The
> text should simply say something like "while some of this information
> may be available within the AS from other protocols, in order to avoid
> any dependency on where such protocols are processed, this mechanism
> carries all the information needed for the required TE operations."
> 
> 3) Is there a reason that the OSPF and ISIS document differ as to the 
> strength of recommending a specific setting of the flooding scope?  The 
> OSPF documents say that it SHOULD be area specific.  The ISIS document 
> merely describes the two settings (level specific and inter-layer 
> flooding allowed) without making either one a SHOULD.
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
> 
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art